Name:		boswars
Summary:	Bos Wars is a futuristic real-time strategy game
Version:	2.8
Release:	%mkrel 2
Group:		Games/Strategy
License:	GPLv2+
URL:		https://www.boswars.org
# SVN snapshot: svn co svn://bos.seul.org/svn/bos/bos/trunk boswars
#Source0:	%%{name}-%%{version}+%%{date}.tar.xz
Source0:	https://www.boswars.org/dist/releases/%{name}-%{version}-src.tar.gz
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
Source14:	%{name}.6
Patch1:		boswars-0001-Convert-to-UTF-8.patch
Patch2:		boswars-0002-fabricate.py-remove-deprecated-calls-to-os.stat_floa.patch
Patch3:		boswars-0003-build-detect-alternative-name-for-Lua-5.1-libs.patch

BuildRequires:	imagemagick
BuildRequires:	python3
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(lua-5.1)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(zlib)

Requires:	%{name}-data = %{version}-%{release}

Provides:	bundled(guichan)
Provides:	bundled(tolua++)

%description
Invasion - Battle of Survival is a real-time strategy game using
the Stratagus game engine.

%package data
Summary:	Data files for %{name}
Group:		Games/Strategy
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description data
Invasion - Battle of Survival is a real-time strategy game using
the Stratagus game engine.

This package contains data files for %{name} game.

%prep
%autosetup -p1 -n %{name}-%{version}-src

sed -i -e "s|-Wall -fsigned-char -D_GNU_SOURCE=1 -D_REENTRANT|%{optflags}|g" make.py
find campaigns engine maps -type f -executable -exec chmod -x {} ';'

%build
%set_build_flags

%{__python3} make.py

%install
mkdir -p %{buildroot}{%_gamesbindir,%_gamesdatadir/%{name}}
install -m 0755 fbuild/release/boswars %{buildroot}%{_gamesbindir}/%{name}

cp -ra campaigns graphics intro languages maps patches scripts sounds units %{buildroot}%{_gamesdatadir}/%{name}/
install -m 0644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m 0644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m 0644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png
install -m 0644 %{SOURCE14} -D %{buildroot}%{_mandir}/man6/%{name}.6

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Bos Wars
Comment=Bos Wars is a futuristic real-time strategy game
Exec=%{name} -d %{_gamesdatadir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

%files
%doc README.txt CHANGELOG doc/*.html
%license COPYRIGHT.txt LICENSE.txt doc/guichan-copyright.txt
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man6/%{name}.6*

%files data
%{_gamesdatadir}/%{name}


%changelog
* Tue Apr 29 2025 daviddavid <daviddavid> 2.8-2.mga10
+ Revision: 2179797
- rebuild for new libtheora 1.2.0

* Tue May 28 2024 daviddavid <daviddavid> 2.8-1.mga10
+ Revision: 2068506
- new version: 2.8

* Fri Apr 01 2022 umeabot <umeabot> 2.7-12.20170903.6.mga9
+ Revision: 1839516
- Mageia 9 Mass Rebuild

* Tue Mar 30 2021 wally <wally> 2.7-12.20170903.5.mga9
+ Revision: 1712013
- rebuild with updated lua 5.1

* Mon Feb 24 2020 daviddavid <daviddavid> 2.7-12.20170903.4.mga8
+ Revision: 1549778
- fix FTBFS with scons 3.1
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 daviddavid <daviddavid> 2.7-12.20170903.3.mga8
+ Revision: 1442752
- switch to python3-scons

* Fri Apr 05 2019 daviddavid <daviddavid> 2.7-12.20170903.2.mga7
+ Revision: 1385971
- switch to Python2 scons support

* Sat Nov 24 2018 akien <akien> 2.7-12.20170903.1.mga7
+ Revision: 1333700
- Update to latest SVN snapshot (20170903) to fix invalid PNG files (mga#23449)

* Fri Sep 21 2018 umeabot <umeabot> 2.7-11.mga7
+ Revision: 1295627
- Mageia 7 Mass Rebuild

* Mon Sep 25 2017 daviddavid <daviddavid> 2.7-10.mga7
+ Revision: 1159755
- patch4: fix build with scons 3.0
- honor user C(XX)FLAGS thus fixing empty debugsourcefiles.list
- make sure it build against lua5.1

* Thu Feb 04 2016 umeabot <umeabot> 2.7-9.mga6
+ Revision: 935209
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.7-8.mga5
+ Revision: 743547
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.7-7.mga5
+ Revision: 678206
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 tv <tv> 2.7-6.mga5
+ Revision: 641226
- revert to lua5.1
- patch 3: fix build with lua-5.2
- rebuild with lua-5.2

* Mon Oct 21 2013 umeabot <umeabot> 2.7-6.mga4
+ Revision: 538403
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 tv <tv> 2.7-5.mga4
+ Revision: 489549
- install the missing patches directory (fix missing background & segfault on exit)

* Sat Aug 03 2013 dams <dams> 2.7-4.mga4
+ Revision: 462904
- fix typo

* Fri Aug 02 2013 dams <dams> 2.7-3.mga4
+ Revision: 462546
- update/fix requires

* Fri Aug 02 2013 dams <dams> 2.7-2.mga4
+ Revision: 462516
- adds 'provides' and 'obsoletes' on 'bos/bos-data'
- clean specfile
- patch is now p1

* Tue Jul 09 2013 dams <dams> 2.7-1.mga4
+ Revision: 451607
- new version 2.7
- rename bos to boswars
- rename with better name

* Mon Jun 03 2013 fwang <fwang> 2.6.1-8.mga4
+ Revision: 435786
- rebuild for new libpng

* Fri Jan 11 2013 umeabot <umeabot> 2.6.1-7.mga3
+ Revision: 347146
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 30 2012 fwang <fwang> 2.6.1-6.mga3
+ Revision: 275928
- build with lua 5.1
- split out data files
+ dams <dams>
- clean spec file

* Tue Sep 13 2011 fwang <fwang> 2.6.1-4.mga2
+ Revision: 142950
- rebuild for new libpng

* Mon Apr 25 2011 wally <wally> 2.6.1-3.mga1
+ Revision: 90296
- fix desktop file (mga#954)
- drop unused patch from .src.rpm
- drop buildroot definition
- clean .spec a bit

* Thu Mar 17 2011 tv <tv> 2.6.1-2.mga1
+ Revision: 73493
- clean up
- imported package bos

